SDL_COLORSPACETYPE(3)

NAME
SDL_COLORSPACETYPE - A macro to retrieve the type of an SDL_Colorspace .

HEADER FILE
Defined in SDL3/SDL_pixels.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_COLORSPACETYPE(cspace)       (SDL_ColorType)(((cspace) >> 28) & 0x0F)

RETURN VALUE
Returns the SDL_ColorType
 for cspace .

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.